Create service request
https://api.propexo.com/v1/service-requests/Create a service request for an integration.
Authentication
- AuthorizationBearerBearer authentication of the form
Bearer <token>, where token is your auth token.
Request
This endpoint expects an object.
- string<date-time>
- stringPattern:
^\d{4}-\d{2}-\d{2}$
The Propexo unique identifier for the employee. Please note that due to a lack of proper unique IDs in Resman, multiple duplicate employees may exist for the same actual employee. You may use any one of those duplicate record IDs for this API call.
The Propexo unique identifier for the vendor
The Propexo unique identifier for the property
The Propexo unique identifier for the resident
The Propexo unique identifier for the unit
A description of the service request
Possible values: <= 35 characters
The priority level associated with the service request
Show 5 enum values
HighLowMed24 hoursEmergencyThe status associated with the service request
Show 5 enum values
NewInProgressCompletedDeferredClosedWhether or not the tenant has granted permission to enter the unit associated with the service request
Details about the service request
Notes regarding access to the unit associated with the service request
The due date associated with the service request
The invoice or reference number that the vendor assigned to the service request
Notes associated with the service request
Possible values: <= 65535 characters
The Propexo unique identifier for the service request category
The Propexo unique identifier for the service request priority
The Propexo unique identifier for the service request location
The Propexo unique identifier for the service request problem
The due date associated with the service request
The scheduled end date associated with the request. If provided, scheduled_start_date must be provided as well, and they must be the same day (Entrata restriction).
The scheduled start date associated with the request. If provided, scheduled_end_date must be provided as well, and they must be the same day (Entrata restriction).
The Propexo unique identifier for the lease
The date the service request was created
The raw status associated with the service request
Show 17 enum values
AssessmentCallCanceledCompletedElectricalEmergencyHVACIn ProgressInspectionOn HoldOtherPlumbingRequest ReassignmentScheduledServiceWebWork CompletedWhether there are pets associated with the unit
Whether there is an alarm associated with the unit
Closing notes associated with the service request
The date of entry for the service request
Show 2 variants
The date the service request is scheduled
The category of service request
Show 5 enum values
ElectricalHVACOtherPlumbingServiceThe date the service request was completed
Type of permission needed to enter the unit. Possible values: "ENTER_AT_ANY_TIME" - Enter any time, "BY_PERMISSION_ONLY" - By permission only, "CALL_FOR_ENTRY" - Call for entry
Show 3 enum values
ENTER_AT_ANY_TIMEBY_PERMISSION_ONLYCALL_FOR_ENTRYThe Propexo unique identifier for the service request status
Vendor/technician notes associated with the service request
Possible values: <= 127 characters
The name of the person who reported this service request
Response
Successful response
The ID of the job created to handle this operation
data objectrequired
Errors
400Bad Request
error objectrequired
codestringrequiredExample:invalid_requestmessagestringrequiredExample:invalid requestdetails object
property name*anyExample:{"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
curl -X POST https://api.propexo.com/v1/service-requests/ \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{
"integration_id": "string"
}'
{
"job_id": "string",
"data": {}
}